package market.Mes.Rolling.Performance.mapper;
import java.util.List;

import market.Mes.Lengthwise.Performance.vo.MesCrSlittingDSum;
import market.Mes.Lengthwise.Plan.vo.PlnMaterielDetail;
import market.Mes.Rolling.Performance.vo.MesRcmD;
import market.Mes.Rolling.Performance.vo.MesRcmM;
import market.Mes.Rolling.Performance.vo.PlnRollingMaterialDetailSum;
import market.Mes.Rolling.Performance.vo.RollingPrintView;

import org.apache.ibatis.annotations.Update;

import com.hnshituo.orm.GenericMapper;

public interface MesRcmDMapper extends GenericMapper<MesRcmD,Object> {

	void doUpdate(MesRcmD med);

	List<MesRcmD> FindMescrcrDByprocessNo(String process_no);

	List<MesCrSlittingDSum> doQuery(MesRcmM object);

	List<MesCrSlittingDSum> doQuery_wgt(MesRcmM object);

	List<PlnRollingMaterialDetailSum> doQueryWeb(PlnMaterielDetail mcsm);

	void deleteByProcessNo(String process_no);

	List<MesRcmD> doQueryMes(String process_no);

	void doUpdate1(MesRcmD mtd);

	List<RollingPrintView> doQueryPrint1(List<String> strList, String string);
	List<RollingPrintView> doQueryPrintRcmOut(List<String> strList, String string);
	
	@Update("update mes_rcm_d set coil_no_vt = null where coil_no = #{coil_no}")
	void doUpdate111(MesRcmD mcsd);
	
}
